Hooks:OverrideFunction(ElementPlayerState, set_enable_client_local_on_executed, function(element_id)
end)

Hooks:OverrideFunction(ElementPlayerState, client_local_on_executed, function(instigator, element_id)
end)

Hooks:OverrideFunction(ElementPlayerState, on_executed, function(instigator)
	if not self._values.enabled then
		return
	end

	local state = self._values.state
	local player_unit = managers.player:player_unit()
	local requires_alive_player = false

	if self._values.state == "electrocution" then
		state = "tased"
		requires_alive_player = true

		if alive(player_unit) then
			player_unit:movement():on_non_lethal_electrocution()
		end
	end

	if (not self._values.use_instigator or instigator == player_unit) and (not requires_alive_player or alive(player_unit)) then
		if self._values.state ~= "none" then
			managers.player:set_player_state(state)
		elseif Application:editor() then
			managers.editor:output_error("Cant change to player state " .. state .. " in element " .. self._editor_name .. ".")
		end
	end

	ElementPlayerState.super.on_executed(self, self._unit or instigator)
end)